Skip to main content
GET
/
v2
/
giftcards
/
customer
/
reports
Getcustomerreports
curl --request GET \
  --url https://api.loyalty.dog/v2/giftcards/customer/reports \
  --header 'Authorization: Bearer <token>'
{
  "totalCards": 123,
  "activeCards": 123,
  "expiringSoonCards": 123,
  "totalSpent": "<string>",
  "totalBalance": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Query Parameters

programId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

totalCards
integer
required
activeCards
integer
required
expiringSoonCards
integer
required
totalSpent
string
required
totalBalance
string
required